
Redmine - Defect #26078

List of issues per assignee doesn't match in profile

2017-05-31 16:37 - Juan Carlos Massanet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.0

Description

Hello,

Regarding this feature: #8153

The amount of issues assigned to the user that can be found in his profile shows a different number than when we click the

"Assigned issues" link.

After some tests I figured out that the counter in the user profile is taking into account issues assigned to any group the user belongs

to. However when we click in to the link "Assigned issues" we only see the issues that are assigned to the user.

Is there any whay to make this match?

Is there any way to see the list of issues to assigned to a particular user and the group his belogns to?

Related issues:

Related to Redmine - Feature #3398: Link to assigned issues on user profiles Closed 2009-05-20

Related to Redmine - Defect #13758: Issue Filtering 'Assignee = <<me>>' shows... New

Is duplicate of Redmine - Defect #25212: User profile should link to issues a... Closed

History

#1 - 2017-06-01 01:00 - Mischa The Evil

- Subject changed from List of issues per assignee doesnt match in profile to List of issues per assignee doesn't match in profile

- Category changed from Issues to Issues filter

- Status changed from New to Confirmed

Confirmed on source:/trunk@16580. The root cause of the issue seems to be #13758 (user groups are ignored when filtering on assigned_to equals

user). I see two options:

1. fix #13758 by also taking into account the user's groups when filtering on assigned_to equals user;

2. workaround #13758 by changing the used filter (source:/trunk/app/views/users/show.html.erb@16580#L29) to also include the user's groups

instead of just the user (multiple filter values).

#2 - 2017-06-01 01:01 - Mischa The Evil

- Related to Feature #3398: Link to assigned issues on user profiles added

#3 - 2017-06-01 01:01 - Mischa The Evil

- Related to Defect #13758: Issue Filtering 'Assignee = <<me>>' shows group issues, but 'Assignee = Bob' does not added

#4 - 2017-06-02 07:54 - Mischa The Evil

- Is duplicate of Defect #25212: User profile should link to issues assigned to user or his groups added

#5 - 2017-06-02 07:54 - Mischa The Evil

- Status changed from Confirmed to Closed

- Resolution set to Duplicate

- Affected version changed from 3.2.1 to 3.2.0

Mischa The Evil wrote:
https://www.redmine.org/issues/8153
https://www.redmine.org/projects/redmine/repository/svn/revisions/16580/entry/trunk
https://www.redmine.org/issues/13758
https://www.redmine.org/issues/13758
https://www.redmine.org/issues/13758
https://www.redmine.org/projects/redmine/repository/svn/revisions/16580/entry/trunk/app/views/users/show.html.erb#L29


Confirmed on source:/trunk@16580. [...] I see two options:

[...]

2. workaround #13758 by changing the used filter (source:/trunk/app/views/users/show.html.erb@16580#L29) to also include the user's groups

instead of just the user (multiple filter values).

 In fact, this issue duplicates earlier reported issue #25212, which also provides a (working) patch fixing the issue with an implementation similar like

the second solution I proposed.

I'll close this issue accordingly. Thanks for reporting it nonetheless.
